Skip to main content
POST
/
public-api
/
api-keys
/
{key_id}
/
rotate
Rotate an API key
curl --request POST \
  --url https://api.neoagent.io/public-api/api-keys/{key_id}/rotate \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "created_at": "2023-11-07T05:31:56Z",
    "expires_at": "2023-11-07T05:31:56Z",
    "id": "<string>",
    "key": "<string>",
    "name": "<string>"
  },
  "meta": {
    "request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "timings_ms": {},
    "pagination": {
      "has_more": true,
      "next_cursor": "<string>"
    },
    "warnings": [
      "<string>"
    ]
  }
}

Authorizations

Authorization
string
header
required

Authorization: Bearer <token> where <token> is either a neo_sk_<env>_<secret> API key (service account) or a Microsoft Entra ID access token (dashboard user).

Path Parameters

key_id
string
required

Response

Success.

data
ApiKeyCreateResponse · object
required
meta
object
required